Skip to main content
`Ctrl`+`K`

# MatCoarsenSetStrengthIndex

Index array to use for index to use for strength of connection

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCoarsenSetStrengthIndex(MatCoarsen coarse, PetscInt n, PetscInt idx[])

Logically Collective

## Input Parameters

- coarse - the coarsen context

- n - number of indices

- idx - array of indices

## Options Database Key

- -mat_coarsen_strength_index - array of subset of variables per vertex to use for strength norm, -1 for using all (default)

## Note

When the coarsening is used inside `PCGAMG` then the options database keys are prefixed with `-pc_gamg_`

## See Also

`MatCoarsen`, `MatCoarsenType`, `MatCoarsenApply()`, `MatCoarsenCreate()`, `MatCoarsenSetType()`

## Level

intermediate

## Location

src/mat/graphops/coarsen/interface/coarsen.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages